| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
rotate_vector.hpp File Reference

GLM_GTX_rotate_vector More...

Go to the source code of this file.

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | orientation (tvec3< T, P > const &Normal, tvec3< T, P > const &Up)
| Build a rotation matrix from a normal and a up vector. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec2< T, P > | rotate (tvec2< T, P > const &v, T const &angle)
| Rotate a two dimensional vector. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rotate (tvec3< T, P > const &v, T const &angle, tvec3< T, P > const &normal)
| Rotate a three dimensional vector around an axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec4< T, P > | rotate (tvec4< T, P > const &v, T const &angle, tvec3< T, P > const &normal)
| Rotate a four dimensional vector around an axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rotateX (tvec3< T, P > const &v, T const &angle)
| Rotate a three dimensional vector around the X axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec4< T, P > | rotateX (tvec4< T, P > const &v, T const &angle)
| Rotate a four dimentionnals vector around the X axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rotateY (tvec3< T, P > const &v, T const &angle)
| Rotate a three dimensional vector around the Y axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec4< T, P > | rotateY (tvec4< T, P > const &v, T const &angle)
| Rotate a four dimensional vector around the X axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | rotateZ (tvec3< T, P > const &v, T const &angle)
| Rotate a three dimensional vector around the Z axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec4< T, P > | rotateZ (tvec4< T, P > const &v, T const &angle)
| Rotate a four dimensional vector around the X axis. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | slerp (tvec3< T, P > const &x, tvec3< T, P > const &y, T const &a)
| Returns Spherical interpolation between two vectors. More...

## Detailed Description

GLM_GTX_rotate_vector

See also
  GLM Core (dependence)
  GLM_GTX_transform (dependence)

Definition in file rotate_vector.hpp.